import { ipcMain, Notification } from "electron";
import { restoreApplicationAfterClickOnTrayOrDock } from "../main";

ipcMain.handle('notification:show', async (_, title: string, body: string) => {
    let id = Math.random().toString(36).substring(2, 15);
    let note = new Notification({
        title: title,
        body: body
    });
    note.on('click', () => {
        restoreApplicationAfterClickOnTrayOrDock();
        ipcMain.emit('notification:clicked', id);
    });
    note.show();
    return id;
});